commit:     7e8dbdf53eea35b3e3e702174e535c4ad12f01b8
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 17 08:07:51 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jul 17 08:48:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e8dbdf5

dev-ruby/commonmarker: new package, add 0.23.5

Closes: https://bugs.gentoo.org/858410
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/commonmarker/Manifest                   |  1 +
 dev-ruby/commonmarker/commonmarker-0.23.5.ebuild | 41 ++++++++++++++++++++++++
 dev-ruby/commonmarker/metadata.xml               | 11 +++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-ruby/commonmarker/Manifest b/dev-ruby/commonmarker/Manifest
new file mode 100644
index 000000000000..2b47d8f897ed
--- /dev/null
+++ b/dev-ruby/commonmarker/Manifest
@@ -0,0 +1 @@
+DIST commonmarker-0.23.5.tar.gz 165248 BLAKE2B 
2d29a0ece01b5000bbb7192133e6abd0bf50281e90ae1d7036ffc49d8576bf378845c782d65b462274b4586b99ee3f46b7312cd0d0ac71456de9a4dacdccb8c3
 SHA512 
ccc76f0a2eb40d547e604cb4d10b922eceab40a0d0e07f00c60a5b307f3dcb74984274b231c38fe3ba97c892dea54fd325486ba20aa2b0087e99d6bca3e3845c

diff --git a/dev-ruby/commonmarker/commonmarker-0.23.5.ebuild 
b/dev-ruby/commonmarker/commonmarker-0.23.5.ebuild
new file mode 100644
index 000000000000..4ac2e88f8d79
--- /dev/null
+++ b/dev-ruby/commonmarker/commonmarker-0.23.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/commonmarker/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/commonmarker"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="commonmarker.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast, safe, extensible parser for CommonMark, wrapping the 
official libcmark library"
+HOMEPAGE="https://github.com/gjtorikian/commonmarker";
+SRC_URI="https://github.com/gjtorikian/commonmarker/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+# app-text/cmark is bundled in a modified way and integrated with the gem code
+
+all_ruby_prepare() {
+       sed -i -e '/focus/ s:^:#:' test/test_helper.rb || die
+
+       # Avoid tests depending on unbundled cmark specification files
+       rm -f test/test_{spec,smartpunct}.rb || die
+
+}
+
+each_ruby_prepare() {
+       # Use current ruby version
+       sed -i -e '/make_bin/,/end/ s:ruby:'${RUBY}':' test/test_helper.rb || 
die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each {|f| require f}' || 
die
+}

diff --git a/dev-ruby/commonmarker/metadata.xml 
b/dev-ruby/commonmarker/metadata.xml
new file mode 100644
index 000000000000..67b2b482f495
--- /dev/null
+++ b/dev-ruby/commonmarker/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Ruby Project</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">gjtorikian/commonmarker</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to